package br.uem.din.metrics.concernDrivenMetrics.concernCohesion;

import java.util.ArrayList;
import java.util.Collection;

import br.uem.din.architectureEvolution.representation.Architecture;
import br.uem.din.architectureEvolution.representation.Component;

public class LCC {

	private final Architecture architecture;
	private final Collection<LCCComponentResult> results = new ArrayList<LCCComponentResult>();
	
	public LCC(Architecture architecture){
		this.architecture = architecture;
		for (Component component : architecture.getComponents().values()) {
			getResults().add(new LCCComponentResult(component));
		}
	}

	public Architecture getArchitecture() {
		return architecture;
	}

	public Collection<LCCComponentResult> getResults() {
		return results;
	}	
}
